EC_MURMURHASH3(3)

NAME
ec_murmurhash3 - Calculate a 32-bit murmurhash3.

SYNOPSIS
#include <ecoli/murmurhash.h>

uint32_t ec_murmurhash3(
    /*
     * The key (the unaligned variable-length array of bytes).
     */
    const void   *key,
    int           len,   /* The length of the key, counting by bytes. */
    uint32_t      seed   /* Can be any 4-byte value initialization value. */
);

RETURN VALUE

A 32-bit hash.

SEE ALSO

ec_murmurhash_rotl32(3), ec_murmurhash3_fmix32(3), ec_murmurhash3_mix32(3), ec_murmurhash3_add32(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.